Mostrar marcas dos produtos da loja
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/public/search/products/brands \
--header 'Content-Type: application/json' \
--data '
{
"context": "search",
"q": "smartphone",
"slug": "eletronicos",
"min": 100,
"max": 500,
"brand_id": [
1,
2,
3
],
"category_id": [
10,
12
],
"filter_id": [
5,
6
]
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/public/search/products/brands"
payload = {
"context": "search",
"q": "smartphone",
"slug": "eletronicos",
"min": 100,
"max": 500,
"brand_id": [1, 2, 3],
"category_id": [10, 12],
"filter_id": [5, 6]
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
context: 'search',
q: 'smartphone',
slug: 'eletronicos',
min: 100,
max: 500,
brand_id: [1, 2, 3],
category_id: [10, 12],
filter_id: [5, 6]
})
};
fetch('https://api.dooki.com.br/v2/{alias}/public/search/products/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 14542735,
"name": "aefaefaefaef",
"logo_url": null
}Busca
Mostrar marcas dos produtos da loja
Retorna as informações públicas das marcas de produtos de uma loja
GET
/
{alias}
/
public
/
search
/
products
/
brands
Mostrar marcas dos produtos da loja
Path Parameters
Alias da loja
Body
application/json
Parâmetros para listagem de produtos com base no contexto e filtros.
Contexto da listagem: 'search' para busca por palavra-chave, 'category' para filtrar por categoria, 'collection' para coleção, 'promotion' para promoções.
Available options:
search, category, collection, promotion Example:
"search"
Palavra-chave para busca. Obrigatório quando 'context' = 'search'.
Example:
"smartphone"
Identificador slug de categoria, coleção ou promoção. Obrigatório quando 'context' != 'search'.
Example:
"eletronicos"
Preço mínimo para filtro.
Required range:
x >= 0Example:
100
Preço máximo para filtro.
Required range:
x >= 0Example:
500
IDs das marcas dos produtos.
Example:
[1, 2, 3]
IDs das categorias dos produtos.
Example:
[10, 12]
IDs dos filtros dos produtos.
Example:
[5, 6]
Was this page helpful?